Subject: Re: [openpgp] I-D Action: draft-ietf-openpgp-crypto-refresh-02.txt (fwd)

From: Paul Wouters <[email-masked]>
Date: Thu, 29 Apr 2021 00:23:40 -0400 (EDT)

On Mon, 1 Mar 2021, Neal H. Walfield wrote:

>> On Fri 2021-02-26 12:50:17 +0100, Neal H. Walfield wrote:
>>> -- 20 octets representing a recipient encryption subkey or a master key fingerprint, identifying the key material that is needed for the decryption.
>>> -  For version 5 keys the 20 leftmost octets of the fingerprint are used.
>>> +- [ ] 20 octets representing a recipient encryption subkey or a primary key fingerprint identifying the key material that is needed for decryption
>>> +  (for version 5 keys the 20 leftmost octets of the fingerprint are used).
>
> I don't know how that crept it.
>
>> what does the [ ] you've inserted here mean?  It looks like a markdown
>> todo-list "checkbox", maybe it was inserted by mistake?

It is not in the markdown original, so I'm not sure how/why it is
happening.

>>> -    09 k0 k1 ... k31 c0 c1 05 05 05 05 05
>>> +    09 k0 k1 ... k31 C0 C1 05 05 05 05 05
>>>
>>> -The octets c0 and c1 above denote the checksum.
>>> +The octets C0 and C1 above denote the checksum.
>>
>> This seems like a mistake.  C0 and C1 could be specific hexadecimal
>> octets (decimal 12), whereas "c0" and "c1" here are intended to be
>> placeholders for the checksum.  This is a bit confusing, maybe it would
>> be better to use s0 and s1 (s for "sum") so that it's clear that it
>> isn't hex?
>
> Good points!  I think using s0 and s1 is the best suggestion so far.

Done via commit 27e70ca.

Paul